#ifndef _WAWIDGET_H
#define _WAWIDGET_H

#include <tqwidget.h>
#include "waSkinModel.h"

class WaWidget : public TQWidget {
    Q_OBJECT
  
public:
    WaWidget(int mapping);
    virtual ~WaWidget();

    TQSize sizeHint();

    void paintPixmap(int wa_mapping);
    void paintPixmap(int wa_mapping, int number);

    void paintPixmap(int wa_mapping, int x, int y);
    void paintPixmap(int wa_mapping, int number, int x, int y);
 
    void paintBackground() { WaSkinModel::instance()->paintBackgroundTo(mapping, TQT_TQPAINTDEVICE(this), 0, 0); }

protected:
    void mousePressEvent(TQMouseEvent *);
    int mapping;

private slots:
    void skinChanged();
};

#endif
